Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class RandomVariateGenParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.RandomVariateGenParams

Direct Known Subclasses:
  MultiPeriodGenParams.PeriodGen

    public class RandomVariateGenParams

extends Object

Gives parameters for a probability distribution and a random number generator constructed using SSJ.

Field Summary
`protected String` | `distributionClass`
`protected Boolean` | `estimateParameters`
`protected String` | `generatorClass`
`protected Double` | `lowerBound`
`protected double[]` | `params`
`protected Double` | `shift`
`protected Double` | `upperBound`

Constructor Summary
`RandomVariateGenParams()`

Method Summary
`String` | `getDistributionClass()` Gets the value of the distributionClass property.
`String` | `getGeneratorClass()` Gets the value of the generatorClass property.
`double` | `getLowerBound()` Gets the value of the lowerBound property.
`double[]` | `getParams()`
`double` | `getParams(int idx)`
`int` | `getParamsLength()`
`double` | `getShift()` Gets the value of the shift property.
`double` | `getUpperBound()` Gets the value of the upperBound property.
`boolean` | `isEstimateParameters()` Gets the value of the estimateParameters property.
`boolean` | `isSetDistributionClass()`
`boolean` | `isSetEstimateParameters()`
`boolean` | `isSetGeneratorClass()`
`boolean` | `isSetLowerBound()`
`boolean` | `isSetParams()`
`boolean` | `isSetShift()`
`boolean` | `isSetUpperBound()`
`void` | `setDistributionClass(String value)` Sets the value of the distributionClass property.
`void` | `setEstimateParameters(boolean value)` Sets the value of the estimateParameters property.
`void` | `setGeneratorClass(String value)` Sets the value of the generatorClass property.
`void` | `setLowerBound(double value)` Sets the value of the lowerBound property.
`void` | `setParams(double[] values)`
`double` | `setParams(int idx, double value)`
`void` | `setShift(double value)` Sets the value of the shift property.
`void` | `setUpperBound(double value)` Sets the value of the upperBound property.
`void` | `unsetEstimateParameters()`
`void` | `unsetLowerBound()`
`void` | `unsetParams()`
`void` | `unsetShift()`
`void` | `unsetUpperBound()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### params

    protected double[] params

### distributionClass

    protected String distributionClass

### generatorClass

    protected String generatorClass

### shift

    protected Double shift

### lowerBound

    protected Double lowerBound

### upperBound

    protected Double upperBound

### estimateParameters

    protected Boolean estimateParameters

Constructor Detail

### RandomVariateGenParams

    public RandomVariateGenParams()

Method Detail

### getParams

    public double[] getParams()

  Returns:
    array of `Double`

### getParams

    public double getParams(int idx)

  Returns:
    one of `Double`

### getParamsLength

    public int getParamsLength()

### setParams

    public void setParams(double[] values)

  Parameters:
    `values` - allowed objects are `Double`

### setParams

    public double setParams(int idx,
                            double value)

  Parameters:
    `value` - allowed object is `Double`

### isSetParams

    public boolean isSetParams()

### unsetParams

    public void unsetParams()

### getDistributionClass

    public String getDistributionClass()

  Gets the value of the distributionClass property.

  Returns:
    possible object is `String`

### setDistributionClass

    public void setDistributionClass(String value)

  Sets the value of the distributionClass property.

  Parameters:
    `value` - allowed object is `String`

### isSetDistributionClass

    public boolean isSetDistributionClass()

### getGeneratorClass

    public String getGeneratorClass()

  Gets the value of the generatorClass property.

  Returns:
    possible object is `String`

### setGeneratorClass

    public void setGeneratorClass(String value)

  Sets the value of the generatorClass property.

  Parameters:
    `value` - allowed object is `String`

### isSetGeneratorClass

    public boolean isSetGeneratorClass()

### getShift

    public double getShift()

  Gets the value of the shift property.

  Returns:
    possible object is `Double`

### setShift

    public void setShift(double value)

  Sets the value of the shift property.

  Parameters:
    `value` - allowed object is `Double`

### isSetShift

    public boolean isSetShift()

### unsetShift

    public void unsetShift()

### getLowerBound

    public double getLowerBound()

  Gets the value of the lowerBound property.

  Returns:
    possible object is `Double`

### setLowerBound

    public void setLowerBound(double value)

  Sets the value of the lowerBound property.

  Parameters:
    `value` - allowed object is `Double`

### isSetLowerBound

    public boolean isSetLowerBound()

### unsetLowerBound

    public void unsetLowerBound()

### getUpperBound

    public double getUpperBound()

  Gets the value of the upperBound property.

  Returns:
    possible object is `Double`

### setUpperBound

    public void setUpperBound(double value)

  Sets the value of the upperBound property.

  Parameters:
    `value` - allowed object is `Double`

### isSetUpperBound

    public boolean isSetUpperBound()

### unsetUpperBound

    public void unsetUpperBound()

### isEstimateParameters

    public boolean isEstimateParameters()

  Gets the value of the estimateParameters property.

  Returns:
    possible object is `Boolean`

### setEstimateParameters

    public void setEstimateParameters(boolean value)

  Sets the value of the estimateParameters property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetEstimateParameters

    public boolean isSetEstimateParameters()

### unsetEstimateParameters

    public void unsetEstimateParameters()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.